CLFS stable and jhalfs

Pierre Labastie pierre.labastie at neuf.fr
Sat Sep 21 12:32:56 PDT 2013


Hi,

When asking for the "branch or stable version" 2.0.0 of CLFS, the first
download is OK, but if the git working copy is already in the repository,
"git pull" returns an error:
--------------
You are not currently on a branch. Please specify which
branch you want to merge with. See git-pull(1) for details.

    git pull <remote> <branch>
--------------

I do not know enough of git to be able to debug that.
The command is in "common/libs/func_book_parser"
maybe it would be enough to  change the initial 'git checkout $TREE' command
to 'git checkout -b $TREE', but not sure...

Regards
Pierre




More information about the alfs-discuss mailing list